Subject: bug#62054: closed (Re: bug#62054: Problem with CSS font-family exported by htmlfontify)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 16 Mar 2023 07:47:02 +0000

Your bug report

#62054: Problem with CSS font-family exported by htmlfontify

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62054: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62054
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62054: Problem with CSS font-family exported by htmlfontify
From: Eli Zaretskii <[email-masked]>
To: Kenta USAMI <[email-masked]>
Cc: [email-masked]
Date: Thu, 16 Mar 2023 09:46:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Kenta USAMI <[email-masked]>
> Date: Wed, 8 Mar 2023 21:39:26 +0900
> 
> First, I use a font called "Migu 2M" in Emacs.
> 
> When I run M-x htmlfontify-buffer in one buffer, the exported HTML contains
> lines like:
> 
> ```
> body, pre { text-decoration: none;  font-family: Migu 2M;  font-stretch:
> normal;  font-weight: 500;  font-style: normal;  color: #ffffff;
>  background: #000000;  font-size: 15pt; }
> ```
> 
> Standards-compliant web browsers should ignore this font-family.
> 
> MDN Web Docs says:
> https://developer.mozilla.org/en-US/docs/Web/CSS/font-family
> 
> > Valid family names
> > Font family names must either be given quoted as strings, or unquoted as
> a sequence of one or more identifiers. This means that punctuation
> characters and digits at the start of each token must be escaped in
> unquoted font family names.
> >
> > It is a good practice to quote font family names that contain white
> space, digits, or punctuation characters other than hyphens.
> 
> An unquoted font-family is valid as long as it doesn't start with a digit,
> but MDN Web Docs also says:
> 
> > The following example is technically valid but is not recommended:
> > font-family: Gill Sans Extrabold, sans-serif;
> 
> So it makes sense to quote all font-family.
> 
> The attached patch file fixes that issue. Thank you for reading.

Thanks, I installed this on the emacs-29 branch, and I'm closing this
bug.

Subject: Problem with CSS font-family exported by htmlfontify
From: Kenta USAMI <[email-masked]>
To: [email-masked]
Date: Wed, 8 Mar 2023 21:39:26 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

First, I use a font called "Migu 2M" in Emacs.

When I run M-x htmlfontify-buffer in one buffer, the exported HTML contains
lines like:

```
body, pre { text-decoration: none;  font-family: Migu 2M;  font-stretch:
normal;  font-weight: 500;  font-style: normal;  color: #ffffff;
 background: #000000;  font-size: 15pt; }
```

Standards-compliant web browsers should ignore this font-family.

MDN Web Docs says:
https://developer.mozilla.org/en-US/docs/Web/CSS/font-family

> Valid family names
> Font family names must either be given quoted as strings, or unquoted as
a sequence of one or more identifiers. This means that punctuation
characters and digits at the start of each token must be escaped in
unquoted font family names.
>
> It is a good practice to quote font family names that contain white
space, digits, or punctuation characters other than hyphens.

An unquoted font-family is valid as long as it doesn't start with a digit,
but MDN Web Docs also says:

> The following example is technically valid but is not recommended:
> font-family: Gill Sans Extrabold, sans-serif;

So it makes sense to quote all font-family.

The attached patch file fixes that issue. Thank you for reading.